Skip to main content
GET /api/v1/portfolio

Query Parameters

FieldTypeNeedDescriptionExample
”account”stringrequiredUser’s wallet address42trU9A5…
“time_range”stringrequiredTime range of history: 1d, 7d, 14d, 30d, all7d
”start_time”integeroptionalStart time in milliseconds1760271000000
”end_time”integeroptionalEnd time in milliseconds1761842220000
”limit”integeroptionalMaximum number of records to return, defaults to 100100
”cursor”stringoptionalCursor pagination to access records. Default to none1115hVka
/api/v1/portfolio?account=42trU9A5...&time_range=7d

Response

  • Status 200: Successfully retrieved portfolio history
{
  "success": true,
  "data": [
    {
      "account_equity": "61046.308885",
      "pnl": "9297.553505",
      "timestamp": 1761177600000
    },
    ...
  ],
  "error": null,
  "code": null
}
FieldTypeDescription
'account_equity'decimal stringAccount equity (balance + unrealized PnL) at last update
'PnL'decimal stringPnL of account since creation
'timestamp'integerTimestamp in milliseconds of last account equity update
  • Status 400: Invalid request parameters
  • Status 401: Unauthorized access
  • Status 500: Internal server error

Code Example (Python)

import requests

response = requests.get(
    "/api/v1/portfolio?account=42trU9A5...&time_range=7d",
    headers={"Accept": "*/*"},
)

data = response.json()